<?xml version="1.0" encoding="UTF-8"?>
<module type="RUBY_MODULE" version="4">
  <component name="FacetManager">
    <facet type="RailsFacetType" name="Ruby on Rails">
      <configuration>
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_SUPPORT_REMOVED" VALUE="false" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_TESTS_SOURCES_PATCHED" VALUE="true" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_APPLICATION_ROOT" VALUE="$MODULE_DIR$" />
      </configuration>
    </facet>
  </component>
  <component name="ModuleRunConfigurationManager">
    <shared />
  </component>
  <component name="NewModuleRootManager">
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/features" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/spec" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/test" isTestSource="true" />
      <excludeFolder url="file://$MODULE_DIR$/.bundle" />
      <excludeFolder url="file://$MODULE_DIR$/public/packs" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/bundle" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/cache" />
      <excludeFolder url="file://$MODULE_DIR$/log" />
      <excludeFolder url="file://$MODULE_DIR$/tmp" />
      <excludeFolder url="file://$MODULE_DIR$/public/system" />
      <excludeFolder url="file://$MODULE_DIR$/components" />
    </content>
    <orderEntry type="jdk" jdkName="rbenv: 3.1.2" jdkType="RUBY_SDK" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="library" scope="PROVIDED" name="actioncable (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailbox (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailer (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionpack (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actiontext (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionview (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activejob (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activemodel (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activerecord (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activestorage (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activesupport (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bootsnap (v1.13.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="builder (v3.2.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bundler (v2.3.21, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="concurrent-ruby (v1.1.10, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="crass (v1.0.6, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="debug (v1.6.3, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="erubi (v1.11.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="globalid (v1.0.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="i18n (v1.12.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="io-console (v0.5.11, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="irb (v1.4.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="loofah (v2.19.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mail (v2.7.1, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="marcel (v1.0.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="method_source (v1.0.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mini_mime (v1.1.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="minitest (v5.16.3, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="monetize (v1.12.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="money (v6.16.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="money-rails (v1.15.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="msgpack (v1.6.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-imap (v0.3.1, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-pop (v0.1.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-protocol (v0.1.3, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="net-smtp (v0.3.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nio4r (v2.5.8, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nokogiri (v1.13.9, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pg (v1.4.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="puma (v5.6.5, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="racc (v1.6.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack (v2.2.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-cors (v1.1.1, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-test (v2.0.2, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-dom-testing (v2.0.3, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-html-sanitizer (v1.4.3, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="railties (v7.0.4, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rake (v13.0.6, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="reline (v0.3.1, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="state_machines (v0.5.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="state_machines-activemodel (v0.8.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="thor (v1.2.1, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="timeout (v0.3.0, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="tzinfo (v2.0.5, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-driver (v0.7.5, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-extensions (v0.1.5, rbenv: 3.1.2) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="zeitwerk (v2.6.1, rbenv: 3.1.2) [gem]" level="application" />
  </component>
  <component name="RModuleSettingsStorage">
    <LOAD_PATH number="0" />
    <I18N_FOLDERS number="1" string0="$MODULE_DIR$/config/locales" />
  </component>
  <component name="RailsGeneratorsCache">
    <option name="generators">
      <list>
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="active_record:observer" />
        <option value="active_record:session_migration" />
        <option value="controller" />
        <option value="erb:controller" />
        <option value="erb:mailer" />
        <option value="erb:scaffold" />
        <option value="generator" />
        <option value="helper" />
        <option value="integration_test" />
        <option value="mailer" />
        <option value="metal" />
        <option value="migration" />
        <option value="model" />
        <option value="model_subclass" />
        <option value="observer" />
        <option value="performance_test" />
        <option value="plugin" />
        <option value="resource" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="session_migration" />
        <option value="stylesheets" />
        <option value="test_unit:controller" />
        <option value="test_unit:helper" />
        <option value="test_unit:integration" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:observer" />
        <option value="test_unit:performance" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
      </list>
    </option>
    <option name="myGenerators">
      <list>
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="active_record:observer" />
        <option value="active_record:session_migration" />
        <option value="controller" />
        <option value="erb:controller" />
        <option value="erb:mailer" />
        <option value="erb:scaffold" />
        <option value="generator" />
        <option value="helper" />
        <option value="integration_test" />
        <option value="mailer" />
        <option value="metal" />
        <option value="migration" />
        <option value="model" />
        <option value="model_subclass" />
        <option value="observer" />
        <option value="performance_test" />
        <option value="plugin" />
        <option value="resource" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="session_migration" />
        <option value="stylesheets" />
        <option value="test_unit:controller" />
        <option value="test_unit:helper" />
        <option value="test_unit:integration" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:observer" />
        <option value="test_unit:performance" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
      </list>
    </option>
  </component>
  <component name="RakeTasksCache">
    <option name="myRootTask">
      <RakeTaskImpl id="rake" />
    </option>
  </component>
</module>